Button Generator help

Button Generator v1.0.3

Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

WWW: http://www.noniewicz.com

Last update of this help: 2010.06.30

Contents
  • General
    • About
    • License
    • History of changes
  • Program
    • Main window
    • Menu
    • New image
    • Icon
    • Settings
    • Shadow
    • Output
    • Display
    • Presets
    • Processing
  • Running from command prompt
  • Samples
  • Sample step-by-step


Button Generator v1.0.3
Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

General

  • About
  • License
  • History of changes


About

Welcome to Button Generator for Windows®.

Button generator is designed to help you easy create multiple image buttons for your web pages, programs, presentations and any other projects. You simply apply given captions onto blank button image (loaded or generated by the program). You may define button shape, gradient, size, font parameters and more. You can choose button shapes from presets and you can add your own settings to presets. Program generates as many buttons as many captions you type (it’s also possible to apply more than one line of text per button). It is possible to load previously prepared image (blank button) and use it as a base for buttons you create. It is also possible to cut big image into many buttons, so each button uses different part of base image. Program produces *.bmp, *.gif, *.jpg and *.png output files.

New features in versions 1.0.2 - 1.0.3 include:

  • Multiple buttons on single image
  • Running from shell
  • Round buttons
  • Multiple sets of presets
  • Additional translations: spanish, italian, german

Button Generator www page:
http://www.noniewicz.com/btngen.php

Download latest version:
http://www.noniewicz.com/downloads.php

Current version (v1.0.3) is freeware, but it’s possible that there will be some future “PRO” version that may be shareware.

Donations:

This software is currently completely free, and I hope it will remain so in the future. You do not have to pay me anything for downloading and using it. However if you'd like to donate to its development, you are welcome. Feel free to request some new functionality with your donation. I would feel more obligated to implement functionality requested in such way. But of course I still keep the right to not implement it.

It is possible to donate using PayPal. The link is available in program and at http://www.noniewicz.com/donation.php

Contact:

Feel free to contact me with bugs, problems, comments and suggestions of improvements at http://www.noniewicz.com/contact.php.


License

Button Generator for Windows® - LICENSE

User license for Button Generator:

1. This program is copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC.

2. You are authorised to use the program for your own private and/or commercial use free of charge.

3. You may use this software for any purpose that does no harm to any being.

4. You use the program at your own risk - the author accepts no responsibility for any problems or losses which might arise from its use, and support for the software is not guaranteed.

5. It is permitted to copy installation version of this software and to publish it in any way but you may not sell the program or remove any copyright information from it.

6. It is not permitted do decompile or alter executables of the program.


History of changes

v 1.0.3.11:
- development environment migrated from Delphi 3 to BDS 2006
- added translations: german, spanish, italian
- help format changed to CHM
- problem with help path fixed
- icons in menu
- other minor fixes

v 1.0.3.10:
- some interface changes
- recent menu added
- definable space between txt rows
- icon/bullet with transparency option
- font antialiasing option
- round/elliptical btns with many new options
- font preview with font name
- font extra ctrls - BUI / size
- mark endpoint when cut as well -> w/h
- random gradient colors option
- big preview for gradient and buttonizer
- presets: subsets: default, old, userN
- presets: can be shown square
- FIX: bullets*.ini - save relative path
- icons: multi add
- icons: list/preview sizes - orig OR some std size (16, 32, 64)
- fixed: installer doesn't close
- fixed about
- fixed: issues with file names for: all in one / N on M
- fixed BUG: icon delete when nothing selected causes error
- minor fixes

v 1.0.2.8-9:
- optional csv/txt file overriding .btn captions in command prompt
- vertical text align (with ignoring blanks option)
- number of buttons per imgage allows to produce N images with M buttons each
- frame can be rounded and with margin
- arrange buttons on image and images on display / in HTML
- save html map
- more gif options - compression
- donation btn
- show count of captions, buttons and files
- presets - minor fixes
- radial gradient option
- some minor changes

v 1.0.2.7:
- up to 10 lines of text per button
- possibility to produce all buttons as single image
- possibility to add gaps with given color between buttons on one image (and margin too)
- possibility to force creation of output folder(s)
- some extra options for GIF and PNG output files
- view menu with options to hide/show captions/controls/output panels
- program can be automatically run from command prompt
- some minor changes

v 1.0.1.6:
- no HTML save bug - fixed
- save generated base images as gif/jpg/png
- html - launch in WWW browser
- set x0,y0 directly on src img
- png support added everywhere
- process src img: resize
- SetupLocale call bug fixed
- load emf/wmf images
- extra image to paste (icon/bullet-like)
- allow no captions in filenames
- image info - show color depth
- new image always with 24bit color depth
- copy2clipboard feature for images created within program
- some minor changes

v 1.0.0.5:
- fixed output path bug
- '00n_' file numbering optional
- names - regenerate when needed
- register extensions + icon in installer
- gradient color cycling
- small fixes

v 1.0.0.4:
- captions memo with scrollbar and nowrap
- output files suffix
- preview output file names
- JPG support
- button naming less lame
- x*N button matrix (create/display/HTML)
- toolbar
- now memo txt will be always visible
- interaface redesigned
- jpg options (quality)
- presets
- base image - popup menu
- apply buttonize to output btns as well
- misc fixes

v 1.0.0.3:
- both english and polish language version
- misc fixes


Program

  • Main window
  • Menu
  • New image
  • Icon
  • Settings
  • Shadow
  • Output
  • Display
  • Presets
  • Processing


Main window

Program main window:

Toolbar:

- load project
- save project
- open base image
- save base image
- open button captions
- save button captions
- recreate image
- presets
- change font
- change font color
- process image
- generate output images
- save generated buttons
- languages: english, polish, spanish, italian, german

Popup menu:

After mouse right-click on base image popup menu will appear that allows to load/save base image or copy it to clipboard (any of created buttons can be copyied similar way).

Double-click on button captions or base image allows fast loading as well.


Menu

File
Load project (CTRL+O) | loads Button Generator project from file
Save project (CTRL+S) | saves Button Generator project to file
Load recent | loads one of recent project files
Save generated buttons (F12) | saves generated buttons on disk
Open base image (CTRL+I) | opens base image from file
Save base image | saves base image to file
Open button captions (CTRL+T) | opens button captions from text file
Save button captions | saves button captions to text file
Close (ALT+F4) | closes the program
Button
Recreate image (F5) | recreates base image according to settings
Presets (F4) | presets window
Process image (F3) | image processing window
Font (CTRL+F) | change font
Color (CTRL+G) | change font color
Generate output images (F9) | generates buttons according to settings
View
Text panel visible | changes visibility of text panel
Controls visible | changes visibility of controls
Output visible | changes visibility of output panel
Help
Help (F1) | this help
PayPal donation | PayPal donation web page
Noniewicz.com | noniewicz.com web page
About | about program


New image

This tab contains options and settings used when creating new image:

You can set here: button size, colors and buttonize effect parameters.

You can also turn on frame effect (set its width, color, margin and roundness) and fill with gradient option.

Buttonize effect – width X height X opacity

3x12 transparent | 3x12 nontransparent | 12x3 nontransparent

Colors of the distinct areas of new image

in this example – background yellow, left-top green, right-bottom red

Round buttons

From version 1.0.3 it's possible to create round buttons. To do that click Round checkbox. In this mode some standard options are off while some special options become available.

Frame

example of button with red frame 1 pixel width
example of button with round frame with margin

Fill with gradient

Filled vertically with 3 colors

Filled horizontally with 3 colors

Filled horizontally with 2 colors (color#1 and color#3)

Gradient may also be radial

Note: 2-click on gradient or buttonizer shows sizeable preview.


Icon

This tab allows adding an extra image (bullet/icon) to base image:

To place an icon on button base image select icon image, set offset in pixels from left-top corner, choose icon size and click place on button. However it may be easier to set only margin from image’s edges (left side of the image) and let the program resize and position icon automatically. To do that set the margin and click adjust to margin of button.

Currently selected icon appears in Current icon frame. To clear/deselect current icon click clear icon button in that frame.

Other functions here are adding/removing icon/bullet files to/from list.

This list is stored in bullets.ini file in program folder.


Settings

This tab contains main settings influencing finall desing of the buttons:

Text settings

In this section you can set buttons captions text alignment (vertical and horizontal), font, font size and color, etc. Button center vertical centers captions vertically, depending on current font and button height. You can also specify how many text rows should be placed on single button. If ignore blanks is set vertical alignment will align captions vertically ignoring any blank lines in captions.

When >1 button per image

Here you can set margin, gap (in pixels) between images and background color if more than one button is to be generated per image.

Cut big base image

This option cuts one big base image into multiple buttons. You cat set here buttons size, startings point on base image and the way base image is cut – vertically, horizontally or in matrix.

Buttonize effect

Works as on New image tab but refers to already created buttons not the base image (it is most usefull with cut big base image option).


Shadow

On this tab there are button capitons shadow settings:

Here you can set if shadow is enabled,if it will be double and its offset and color.


Output

On this tab you can set buttons output parameters and save format:

You ca set here buttons destination folder, the way buttons file names are created and file format (with format-related parameters) in which they will be saved.

File naming convention

Basically names are created from button captions (but it is possible to turn it off). Additionally you can define constant prefix and suffix added to each button’s file name. You can also force autonumbering in file names (usefull for buttons with same captions) and lowercase (usefull for UNIX-based WWW servers, distinguishing character case of file names). If captions list is nonempty a preview of file names to be created is always visible on this tab. Number of files depends also on rows per button and Buttons per image (file) parameters. If as one image is selected there will only be one output file.

Test HTML

If Save HTML is checked program saves also test HTML file for generated buttons. Additionally HTML map option creates HTML with image map for multiple buttons on one image.


Display

On this tab you can set display/finall arrangement parameters:

On this tab you can set how buttons (and final multi-button images) will be arranged – vertically, horizonally or in matrix of given number of columns.

Another setting defines how many buttons per image should be generated. Default settings is one button per one image, but it’s possible to have all buttons on single image or as N buttons per M images.


Presetes

This window allows you to choose button presets:

To use a preset just doubleclick on it or select it and press Use. Add adds currently created base image to presets (it only stores programu settings – you can’t add buttons created from graphics files). Delete removes selected preset. Import imports button settings from Button Generator project file.

Default presets are now stored in presets-default.ini file in program folder.

Old presets (if any) can be attached from presets.ini file in program folder.


Processing

In this window you can resize the image (eg. loaded from file).

In case of program-generated images it’s better to change their size in main window and recereate them again.

I'd like to add more functions here in the future.


Running from command prompt

Button Generator can be automatically run from command prompt, basic syntax is:

btngen.exe /x "drive:\full\path\andfilename.btn"

Please note that full path to *.btn file is required.

This reads input *.btn file, generates buttons, saves them and terminates program.

Input *.btn file has to be present before running from command prompt. You can prepare it in Button Generator and then save or create it with any external application (it’s simple ini-like text file).

If /x parameter is not present program will read *.btn input file, show GUI and do nothing more.

In shell mode program generates log file btngen_shell_run.log in it's folder.

There is also posiibility to override button captions stored in .btn file (all other settings will be taken from .btn file). The syntax in this case is:

btngen.exe /x "drive:\full\path\andfilename.btn" "drive:\some\path\captions.csv"

Syntax of this additional file should be one caption per row with per-button lines one after another (like in button captions panel).

Examples:

btngen.exe /x "c:\buttons\first.btn"

btngen.exe /x "c:\buttons\first.btn" "d:\captions\captions.csv"


Button Generator v1.0.3
Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Samples

Samples of program capabilities

v1.0.2:

v1.0.3:


Sample step-by-step

1. Run program.
2. In button captions field (on the left) type your button captions.
3. On new image tab
- set opacity to max (to the right),
- check fill with gradient.
4. Press F5 (or from menu Button | Recreate image).
5. On settings tab
- set font to eg. Arial, Bold, 10,
- set left or right offset to 6,
- click center vertical.
6. Press F9 (or from menu Button | Generate output images).
7. On output tab
- choose output directory, eg. c:\,
- choose file format, eg. JPG,
- check save HTML,
8. Press CTRL+S (or from menu File | Save project) to save project.
9. Press F12 (or from menu File | Save generated buttons).

This should create something like this: